Do merchants need to phase out early TLS on their shopper-facing websites too?

Yes. Use of TLS 1.0 to protect payments data or payments pages is not PCI DSS compliant after June 30th 2018.

For more information contact Support. Submit a request

Articles in this section